com.jscape.inet.mft.management.descriptors

## Class ReportServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.ReportServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class ReportServiceDescriptor
      extends ServiceDescriptor

  Reporting service descriptor. The service described by this descriptor takes responsibility for reporting.
  Author:
    Alex
  See Also:
    Source code, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `ReportServiceDescriptor(Report[] reports)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `Report[]` | `getReports()` Returns service reports.
    `void` | `setReports(Report[] value)` Sets service reports.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportServiceDescriptor

          public ReportServiceDescriptor(Report[] reports)

      Creates a new descriptor instance.
      Parameters:
        `reports` - reports

    - #### ReportServiceDescriptor

          public ReportServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getReports

          public Report[] getReports()

      Returns service reports.
      Returns:
        service reports

    - #### setReports

          public void setReports(Report[] value)

      Sets service reports.
      Parameters:
        `value` - the service reports

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved